# A quick enable/disable for picom
# Based on a previous 'startup/welcome' script I authored

# Define some variables
# String variables
_tb="PiControl"					# Text of dialog box title bar
_diamsg="Enable/Disable picom"	# Text of dialog box
_bttn="ON"						# Button text "ON" or "OFF"
_ffile="flag_file"

# Numeric Variables
_ret=252						# Return value from dialog_box function
_ff=1							# File flag variable 0=exists 1=does not exist

# Dialog Box Function
dialog_box (){
#	Loop until the DAMN button has been pressed.
	while [ $_ret != 0 ]
	do
#	Open dialog
	    yad	--width=600 --center --fixed --on-top \
			--image="dialog-question" \
			--buttons-layout=center \
			--button="$_bttn:0" \
			--text-align=center --title="$_tb" \
			--text-align=center --text="$_diamsg" \ 

		_ret=$?
	done
}

# Start of actual script
# Does the flag file exist?
if test -f flag_file
	then
		_ff=0
	else
		_ff=1
fi

# If flag file exists then picom is enabled, delete flag file, disable picom, exit
if [ $_ff == 0 ]
	then
		rm $_ffile
		pkill picom		
# Else picom is disabled, enable picom, create flag file then exit
	else
		touch $_ffile
		picom --config ~/.config/picom/configs/modern2.conf		
fi	


